<?php
namespace Claromentis\Core\Mail\Fetch;

$GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"] ?: array()) + array("_35aa32efb43c2c43fcf0" . "e20a5021186b" => base64_decode("VU5" . "LTk" . "9XT" . "g=="));
class MailProtocol
{
    const IMAP_NAME = 'IMAP';
    const POP3_NAME = 'POP3';
    const IMAP_DEFAULT_PORT = 143;
    const POP3_DEFAULT_PORT = 110;
    
    
    const POP3_INDEX = 0;
    const IMAP_INDEX = 1;
    
    
    
    
    
    
    
    public static function getProtocolName(int $_ae88173a4d95a1640164d6f271c89b3e) : string
    {
        switch ($_ae88173a4d95a1640164d6f271c89b3e) {
            case self::POP3_INDEX:
                return self::POP3_NAME;
            case self::IMAP_INDEX:
                return self::IMAP_INDEX;
            default:
                return $GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_35aa32efb4" . "3c2c43fcf0e" . "20a5021186b"];
        }
    }
}